Compatibility with OS X 10.10 Yosemite

This is for people involved in the developement of Snes9x, or SNES emulators in general.
BUG REPORTS BELONG IN TECH SUPPORT/BUG TRACKING!
Post Reply
sparky
Snes9x White Belt
Posts: 16
Joined: Tue Oct 21, 2014 4:37 pm

Compatibility with OS X 10.10 Yosemite

Post by sparky » Fri Oct 31, 2014 7:51 pm

I downloaded the source and applied the 10.6 SDK and set it to i386, but there are some issues with SNES9X running on Yosemite that I haven't been able to get around so far.

The main issue is the Snes9x.xib file, which is for 32-bit Interface Builder, no longer compatible with Xcode. So I am wondering how to fix this error when I choose File > Open:

Code: Select all

-[NSView setNeedsDisplayOnHICocoaView]: unrecognized selector sent to instance 0x11dc1f0
That prevents the Open window from displaying.

It's something really simple that the Open Multiple ROM Images doesn't have the same exact problem with, but there are related issues in the Cheat Entry and Cheat Finder windows that prevent the user from typing or pasting characters into their text fields. One can drag-and-drop text into the text fields, but that is very cumbersome.

I have other minor but needed changes I would like to make to the UI of the application, so I would probably just need to make a brand new .xib for SNES9X... and also just redo a lot of the code for 64 bit Mac OS compatibility. Are there similar changes that needed to be made between the 32 bit and 64 bit Windows versions?

KryptosX
Snes9x White Belt
Posts: 1
Joined: Sun Mar 29, 2015 1:45 pm

Re: Compatibility with OS X 10.10 Yosemite

Post by KryptosX » Sun Mar 29, 2015 1:49 pm

Just a quick tip: you can still play any snes game you have downloaded, but you have to open the file where you have the snes games, choose the game you want to play, and choose 'open with' and choose Snes9x. It will run perfectly.

akemn
Snes9x White Belt
Posts: 2
Joined: Thu Apr 02, 2015 4:41 pm

Re: Compatibility with OS X 10.10 Yosemite

Post by akemn » Thu Apr 02, 2015 4:46 pm

KryptosX wrote:Just a quick tip: you can still play any snes game you have downloaded, but you have to open the file where you have the snes games, choose the game you want to play, and choose 'open with' and choose Snes9x. It will run perfectly.
That's a good point, but still this needs to be addressed/fixed. Weirdly, it works fine on the previous release (1.52) but not this one (1.53b113).

Where is the official code repository? Maybe someone already patched this but hasn't rebuilt yet?

Post Reply